Summary: A GNU utility for secure communication and data storage.
Name: gnupg
Version: 1.2.0
Release: 1
License: GPL
Group: Applications/System
URL: http://www.gnupg.org/
Packager: Hao Li <hli@haoli.org>
Source0: ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2.sig
Provides: gpg, openpgp
Prereq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).


%prep
%setup -q


%build
%configure --program-transform-name='' --program-prefix='' --program-suffix=''
make
#make check


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_datadir}/%{name}/{FAQ,faq.html}
%find_lang %name


%post
/sbin/install-info %{_infodir}/gpg.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/gpgv.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gpgv.info.gz %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/gpg.info.gz %{_infodir}/dir
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS PROJECTS README THANKS TODO
%doc doc/DETAILS doc/FAQ doc/HACKING doc/OpenPGP doc/faq.html doc/samplekeys.asc
%{_bindir}/*
%{_infodir}/*
%{_libexecdir}/%{name}
%{_mandir}/man*/*
%{_datadir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

